Well Known OpenId Configuration
/ext/oidc/v1/verifiers/{id}/.well-known/openid-configurationThe standard OpenID Connect Well Known configuration metadata endpoint.
This endpoint is unprotected, public facing and can be used by any party wishing to discover the OpenID Connect capabilities.
Path Parameters
Verifier ID
uuidResponse Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/ext/oidc/v1/verifiers/41458e5a-9092-40b7-9a26-d4eb43c5792f/.well-known/openid-configuration"{
"authorization_endpoint": "https://tenant.vii.mattr.global/ext/oidc/v1/issuers/983c0a86-204f-4431-9371-f5a22e506599/authorize",
"claims_parameter_supported": true,
"claims_supported": [
"sub",
"sid",
"auth_time",
"iss"
],
"code_challenge_methods_supported": [
"S256"
],
"end_session_endpoint": "https://tenant.vii.mattr.global/ext/oidc/v1/issuers/983c0a86-204f-4431-9371-f5a22e506599/session/end",
"grant_types_supported": [
"implicit",
"authorization_code",
"refresh_token"
],
"id_token_signing_alg_values_supported": [
"HS256",
"ES256"
],
"issuer": "https://tenant.vii.mattr.global",
"jwks_uri": "https://tenant.vii.mattr.global/ext/oidc/v1/issuers/983c0a86-204f-4431-9371-f5a22e506599/jwks",
"registration_endpoint": "https://tenant.vii.mattr.global/ext/oidc/v1/issuers/983c0a86-204f-4431-9371-f5a22e506599/clients",
"request_object_signing_alg_values_supported": [
"HS256",
"RS256",
"PS256",
"ES256",
"EdDSA"
],
"request_parameter_supported": true,
"request_uri_parameter_supported": true,
"require_request_uri_registration": true,
"response_modes_supported": [
"form_post",
"fragment",
"query"
],
"response_types_supported": [
"code id_token",
"code",
"id_token",
"none"
],
"scopes_supported": [
"openid",
"offline_access"
],
"subject_types_supported": [
"public"
],
"token_endpoint_auth_methods_supported": [
"none",
"client_secret_basic",
"client_secret_jwt",
"client_secret_post",
"private_key_jwt"
],
"token_endpoint_auth_signing_alg_values_supported": [
"HS256",
"RS256",
"PS256",
"ES256",
"EdDSA"
],
"token_endpoint": "https://tenant.vii.mattr.global/ext/oidc/v1/issuers/983c0a86-204f-4431-9371-f5a22e506599/token",
"userinfo_endpoint": "https://tenant.vii.mattr.global/ext/oidc/v1/issuers/983c0a86-204f-4431-9371-f5a22e506599/me",
"userinfo_signing_alg_values_supported": [
"HS256",
"ES256"
],
"claim_types_supported": [
"normal"
]
}How would you rate this page?
Verify a verifiable presentation POST
Verifies a provided verifiable presentation that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations): - Ensures the presentation conforms to the VC Data model. - For each `verifiableCredential` objects: - Issuer DID can be resolved. - JSON-LD context is valid for subject claims. - Proof is valid & the credential has not been tampered with. - Is not in a `revoked` status on a `RevocationList2020`. - The proof is valid for each subjectDID to prove ownership. - Valid proof exists for the presentation `holderDID`. The request must include a `presentation` object that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations). If a `challenge` and/or `domain` is provided they are used for credential verification. Otherwise, the `challenge` and/or `domain` within the presentation proof is used instead. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_VERIFY_START * PRESENTATION_WEB_SEMANTIC_VERIFY_SUCCESS * PRESENTATION_WEB_SEMANTIC_VERIFY_FAIL
Retrieve Token POST
OIDC Token endpoint The OpenId Connect `/token` endpoint is used to obtain the `access_token` and `id_token` by presenting a valid authorization `code` ### **Analytic events** * OIDC_VERIFIER_AUTH_START * OIDC_VERIFIER_AUTH_SUCCESS * OIDC_VERIFIER_AUTH_FAIL